SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1770441 - [OSP] Image auto-download unable to work with images with `.gz` extension
Summary: [OSP] Image auto-download unable to work with images with `.gz` extension
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.0
Assignee: Mike Fedosin
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-09 08:38 UTC by Martin André
Modified: 2020-01-23 11:12 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:11:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2645 'None' 'closed' 'Bug 1770441: OpenStack: unpack compressed image data ' 2019-12-09 06:54:03 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:12:03 UTC

Description Martin André 2019-11-09 08:38:24 UTC
The CoreOS team has always produced compressed RHCOS images, however they recently started to add the `.gz` extension to the image file to indicate more clearly that the files are compressed.

Previously, the image auto-download feature of the installer was able to uncompress the file on the fly thanks to the use of Content-Disposition + Content-Encoding in the HTTP headers. This change in the image filename caused it to stop uncompressing the file and retrieve the gzipped archive instead.

We need to make the installer able to work with RHCOS images having the `.gz` or not having it.

This is currently blocking PR https://github.com/openshift/installer/pull/2633 for bug 1768978.

Comment 2 David Sanz 2019-11-14 13:15:29 UTC
Verified on 4.3.0-0.nightly-2019-11-13-233341

INFO Obtaining RHCOS image file from 'https://releases-art-rhcos.svc.ci.openshift.org/art/storage/releases/rhcos-4.3/43.81.201911081536.0/x86_64/rhcos-43.81.201911081536.0-openstack.x86_64.qcow2.gz?sha256=e09d8300d3e209fad8d428c4c366b55a9a4b9e3a6d5ae0217073e9d3338b5a08' 
DEBUG Unpacking file into "/root/.cache/openshift-installer/image_cache/ef1915b9dd0c83aab9378eff6c252c3c"... 
DEBUG Checksum validation is complete...           
INFO Decompress image data from /root/.cache/openshift-installer/image_cache/ef1915b9dd0c83aab9378eff6c252c3c to /root/.cache/openshift-installer/image_cache/ef1915b9dd0c83aab9378eff6c252c3c.uncompressed 
[...]
DEBUG openstack_images_image_v2.base_image[0]: Still creating... [10s elapsed] 
[...]
DEBUG openstack_images_image_v2.base_image[0]: Creation complete after 51s [id=ece89155-732e-4525-a04e-0db2b171205e]

Comment 4 errata-xmlrpc 2020-01-23 11:11:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.